=== debian/changelog ===
gecode (6.0.0-2) unstable; urgency=medium

  * Fix FTBFS on 32 bit arches by renaming an overloaded function that
    clashed on them.

 -- Kari Pahula <kaol@debian.org>  Thu, 05 Apr 2018 22:44:19 +0300

gecode (6.0.0-1) unstable; urgency=medium

  * New upstream release (soname 46)
  * Standards-Versions 4.1.3 (no changes necessary).
  * Pass --enable-cppprofiler to configure flags.
  * Convert upstream changelog to UTF-8 encoding.

 -- Kari Pahula <kaol@debian.org>  Mon, 02 Apr 2018 02:14:53 +0300
