=== debian/control ===
Source: gecode
Priority: optional
Maintainer: Kari Pahula <kaol@debian.org>
Build-Depends: debhelper (>= 9), autotools-dev, cdbs (>= 0.4.93~), dh-autoreconf, libmpfr-dev, flex, bison, qtbase5-dev, libboost-dev
Build-Depends-Indep: graphviz, doxygen
Build-Conflicts: libqt4-dev
Standards-Version: 4.1.3
Section: libs
Homepage: http://www.gecode.org/

Package: libgecode-dev
Section: libdevel
Architecture: any
Depends: libgecode46 (= ${binary:Version}), libgecodegist46 (= ${binary:Version}), libgecodeflatzinc46 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}, qtbase5-dev, libmpfr-dev, libboost-dev
Suggests: libgecode-doc
Description: generic constraint development environment
 Gecode is a toolkit for developing constraint-based systems and
 applications. Gecode provides a constraint solver with
 state-of-the-art performance while being modular and extensible.
 .
 Gecode is radically open for programming: it can be easily
 interfaced to other systems. It supports the programming of new
 propagators (as implementation of constraints), branching strategies,
 and search engines. New variable domains can be programmed at the same
 level of efficiency as finite domain and integer set variables that
 come predefined with Gecode.

Package: libgecode-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}, libjs-jquery
Suggests: libgecode-dev
Description: generic constraint development environment
 Gecode is a toolkit for developing constraint-based systems and
 applications. Gecode provides a constraint solver with
 state-of-the-art performance while being modular and extensible.
 .
 Gecode is radically open for programming: it can be easily
 interfaced to other systems. It supports the programming of new
 propagators (as implementation of constraints), branching strategies,
 and search engines. New variable domains can be programmed at the same
 level of efficiency as finite domain and integer set variables that
 come predefined with Gecode.
 .
 This package has the API documentation and examples.

Package: libgecode46
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Suggests: libgecode-dev
Description: generic constraint development environment
 Gecode is a toolkit for developing constraint-based systems and
 applications. Gecode provides a constraint solver with
 state-of-the-art performance while being modular and extensible.
 .
 Gecode is radically open for programming: it can be easily
 interfaced to other systems. It supports the programming of new
 propagators (as implementation of constraints), branching strategies,
 and search engines. New variable domains can be programmed at the same
 level of efficiency as finite domain and integer set variables that
 come predefined with Gecode.

Package: libgecodegist46
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Suggests: libgecode-dev
Description: Gecode Interactive Search Tool library
 Gecode is a toolkit for developing constraint-based systems and
 applications. Gecode provides a constraint solver with
 state-of-the-art performance while being modular and extensible.
 .
 This package contains libgecodegist, a graphical debugging tool, and
 libgecodedriver, a set of helper classes for writing standalone
 programs.  They have been separated from the main Gecode library
 package to avoid pulling in Qt as a dependency.

Package: libgecodeflatzinc46
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Suggests: libgecode-dev
Homepage: http://www.gecode.org/flatzinc.html
Description: Gecode support for FlatZinc modelling language
 Gecode is a toolkit for developing constraint-based systems and
 applications. Gecode provides a constraint solver with
 state-of-the-art performance while being modular and extensible.
 .
 FlatZinc is a low-level modelling language for constraint
 problems. It is designed to be easily interfaceable to constraint
 solvers (like Gecode). For more information on FlatZinc, please refer
 to the MiniZinc pages of the G12 project
 <http://www.g12.cs.mu.oz.au/minizinc/>.

Package: flatzinc
Section: devel
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: minizinc
Replaces: libgecode-dev (<< 3.7.0)
Homepage: http://www.gecode.org/flatzinc.html
Description: constraint problem modelling language
 FlatZinc is a low-level modelling language for constraint
 problems. It is designed to be easily interfaceable to constraint
 solvers (like Gecode). For more information on FlatZinc, please refer
 to the MiniZinc pages of the G12 project
 <http://www.g12.cs.mu.oz.au/minizinc/>.
 .
 We provide a parser that reads a FlatZinc model from a file, and
 returns a Gecode Space object that represents the model. We also
 provide a simple front-end, an executable program that reads a
 FlatZinc model and prints the solution (if any) on the standard
 output.
 .
 The FlatZinc interpreter that ships with Gecode version 4.4.0
 supports the FlatZinc language and MiniZinc global constraint
 definitions of MiniZinc version 1.6.0.
