## gecode 6.0.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -4,10 +4,6 @@
 #
 #  Copyright:
 #     Victor Zverovich, 2013
-#
-#  Last modified:
-#     $Date$ by $Author$
-#     $Revision$
 #
 #  This file is part of Gecode, the generic constraint
 #  development environment:
@@ -379,3 +375,4 @@
 find_package(Threads)
 target_link_libraries(gecodesupport ${CMAKE_THREAD_LIBS_INIT})
 target_link_libraries(gecodekernel gecodesupport)
+target_link_libraries(gecodesearch gecodekernel)
