=== debian/changelog ===
gecode (6.0.1-1) unstable; urgency=medium

  * New upstream release (soname 47)
  * Pass --enable-cbs to configure flags.
  * Remove previous 32 bit patch in favor of upstream's own fix.

 -- Kari Pahula <kaol@debian.org>  Sat, 02 Jun 2018 10:17:44 +0300
