## gecode 6.1.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -54,6 +54,21 @@
     endif ()
   endif ()
 endif ()
+
+if ( (CMAKE_VERSION VERSION_GREATER 3.1.0) OR (CMAKE_VERSION VERSION_EQUAL 3.1.0) )
+  set (CMAKE_CXX_STANDARD 11)
+endif()
+check_cxx_compiler_flag(-std=c++11 HAS_STDCPP11)
+if (HAS_STDCPP11)
+  set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++11")
+else()
+  check_cxx_compiler_flag(-std=c++0x HAS_STDCPP0X)
+  if (HAS_STDCPP0X)
+    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++0x")
+  else()
+    message("Warning: Initial check for C++11 unsuccessful. This is fine if HAS_CPP11 test below succeeds.")
+  endif()
+endif()
 
 # The following part of config.h is hard to derive from configure.ac.
 file(READ gecode/support/config.hpp.in CONFIG)
@@ -199,6 +214,13 @@
   set(GECODE_THREADS_PTHREADS 1)
 endif ()
 
+option(ENABLE_GIST "Enable gist" OFF)
+if (ENABLE_GIST)
+  set(GECODE_USE_QT TRUE)
+else()
+  set(GECODE_USE_QT FALSE)
+endif()
+
 # Don't use Qt if GECODE_USE_QT is set to FALSE.
 if (NOT DEFINED GECODE_USE_QT OR GECODE_USE_QT)
   find_package(Qt5 QUIET COMPONENTS Core Gui Widgets PrintSupport)
@@ -257,11 +279,18 @@
 check_c_source_compiles("
   inline __attribute__ ((__always_inline__)) void foo(void) {}
   int main() {}" HAVE_ALWAYS_INLINE)
+check_c_source_compiles("
+  __forceinline void foo(void) {}
+  int main() {}" HAVE_FORCE_INLINE)
 set(forceinline inline)
 if (HAVE_ALWAYS_INLINE)
   set(forceinline "inline __attribute__ ((__always_inline__))")
 endif ()
-
+if (HAVE_FORCE_INLINE)
+  set(forceinline "__forceinline")
+endif ()
+
+# Check for bit index
 check_c_source_compiles("
   int main() { return __builtin_ffsl(0); }" HAVE_BUILTIN_FFSL)
 if (HAVE_BUILTIN_FFSL)
@@ -354,25 +383,3 @@
   if (lib STREQUAL "minimodel")
     set(libupper MM)
   else ()
-    string(TOUPPER ${lib} libupper)
-  endif ()
-  if (${libupper}SRC)
-    set(sources )
-    foreach (src ${${libupper}SRC} ${${libupper}_GENSRC})
-      if ((src STREQUAL "gecode/support/thread/pthreads.cpp" AND MSVC) OR
-           src STREQUAL "gecode/float/rounding.cpp")
-        # ignore empty source files to prevent linker warnings
-      else ()
-        set(sources ${sources} ${src})
-      endif ()
-    endforeach ()
-    add_library(gecode${lib} ${sources} ${${libupper}HDR})
-    target_include_directories(gecode${lib}
-      PUBLIC ${CMAKE_CURRENT_SOURCE_DIR} ${CMAKE_CURRENT_BINARY_DIR})
-  endif ()
-endforeach ()
-
-find_package(Threads)
-target_link_libraries(gecodesupport ${CMAKE_THREAD_LIBS_INIT})
-target_link_libraries(gecodekernel gecodesupport)
-target_link_libraries(gecodesearch gecodekernel)
