=== debian/changelog ===
gecode (6.1.0-2) unstable; urgency=medium

  * Backport upstream patch to skip failing tests. (Closes: #912969)

 -- Kari Pahula <kaol@debian.org>  Sat, 12 Jan 2019 22:58:51 +0200

gecode (6.1.0-1) unstable; urgency=medium

  * New upstream release (soname 48)

 -- Kari Pahula <kaol@debian.org>  Sat, 12 Jan 2019 22:48:37 +0200
