=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
 Package: libgecode-dev
 Section: libdevel
 Architecture: any
-Depends: libgecode47 (= ${binary:Version}), libgecodegist47 (= ${binary:Version}), libgecodeflatzinc47 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}, qtbase5-dev, libmpfr-dev, libboost-dev
+Depends: libgecode48 (= ${binary:Version}), libgecodegist48 (= ${binary:Version}), libgecodeflatzinc48 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}, qtbase5-dev, libmpfr-dev, libboost-dev
 Suggests: libgecode-doc
 Description: generic constraint development environment
  Gecode is a toolkit for developing constraint-based systems and
@@ -44,7 +44,7 @@
  .
  This package has the API documentation and examples.
 
-Package: libgecode47
+Package: libgecode48
 Section: libs
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
@@ -62,7 +62,7 @@
  level of efficiency as finite domain and integer set variables that
  come predefined with Gecode.
 
-Package: libgecodegist47
+Package: libgecodegist48
 Section: libs
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
@@ -78,7 +78,7 @@
  programs.  They have been separated from the main Gecode library
  package to avoid pulling in Qt as a dependency.
 
-Package: libgecodeflatzinc47
+Package: libgecodeflatzinc48
 Section: libs
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
