## gecode 6.2.0

=== examples/CMakeLists.txt ===
--- 
+++ 
@@ -4,10 +4,6 @@
 #
 #  Copyright:
 #     Petter Strandmark, 2014
-#
-#  Last modified:
-#     $Date$ by $Author$
-#     $Revision$
 #
 #  This file is part of Gecode, the generic constraint
 #  development environment:
