=== debian/changelog ===
gecode (6.2.0-7) unstable; urgency=medium

  * Use dh for debian/rules.
  * Move libgecode-doc examples and html under
    /usr/share/doc/libgecode-dev/ directory.
  * Fix doc-base to point to html files under libgecode-dev directory.
  * Fix changelog build (Closes: #1092413).
  * Move debian packaging to Salsa git.

 -- Kari Pahula <kaol@debian.org>  Tue, 11 Feb 2025 19:33:26 +0200

gecode (6.2.0-6) unstable; urgency=medium

  * Standards-Version 4.7.0 (no changes necessary)
  * Run autoupdate and rename AC_HELP_STRING to reduce warnings.
    (Closes: #978817)
  * Add gecode/flatzinc/parser.tab.hpp and configure.ac to debian/clean.
  * Copy parser.tab.hpp as parser.tab.hh during build.
  * Remove flatzinc package due to incompatibility with current MiniZinc
    versions.
  * Fix FTBFS with GCC 14. (Closes: #1074982)

 -- Kari Pahula <kaol@debian.org>  Tue, 27 Aug 2024 06:47:35 +0300

gecode (6.2.0-5.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1062064

 -- Steve Langasek <vorlon@debian.org>  Wed, 28 Feb 2024 15:56:55 +0000

gecode (6.2.0-5) unstable; urgency=medium

  * Revert to dh compat 10 to cope with cdbs and dh_systemd_enable.
  * Drop obsolete build deps autotools-deb and dh-autoreconf.

 -- Kari Pahula <kaol@debian.org>  Sun, 09 Aug 2020 08:34:08 +0300

gecode (6.2.0-4) unstable; urgency=medium

  * Leave gecode/flatzinc/parser.tab.hpp name as is since the generated
    file gecode/flatzinc/parser.tab.cpp includes it. (Closes: #966903)
  * Standards-Version 4.5.0 and dh compat 13.

 -- Kari Pahula <kaol@debian.org>  Sat, 08 Aug 2020 19:03:19 +0300

gecode (6.2.0-3) unstable; urgency=medium

  * Upload to unstable

 -- Kari Pahula <kaol@debian.org>  Fri, 10 Jan 2020 13:38:25 +0200

gecode (6.2.0-2) experimental; urgency=medium

  * Add Breaks and Replaces on minizinc (<< 2.4.1) to properly move
    /usr/share/minizinc/gecode to flatzinc package (Closes: #947444)
  * Remove obsolete Breaks on libgecode-dev from flatzinc
  * Update link to https://minizinc.org/ in flatzinc description
  * Add shell script /usr/share/minizinc/fzn-gecode-gist and
    gecode-gist.msc for invoking fzn-gecode with -mode gist.

 -- Kari Pahula <kaol@debian.org>  Wed, 01 Jan 2020 12:37:59 +0200

gecode (6.2.0-1) experimental; urgency=medium

  * New upstream release (soname 49)
  * Standards-Version 4.4.1 (didn't switch debian/rules to dh yet)
  * Update examples' Makefile to have .o files before LDFLAGS to satisfy
    as-needed.
  * Remove shorter-make-check patch as it's part of upstream now.
  * Add gecode.msc file from upstream's binary release and mznlib contents
    to flatzinc package.

 -- Kari Pahula <kaol@debian.org>  Mon, 16 Dec 2019 20:31:30 +0200
