=== debian/control ===
--- 
+++ 
@@ -1,17 +1,19 @@
 Source: gecode
 Priority: optional
 Maintainer: Kari Pahula <kaol@debian.org>
-Build-Depends: debhelper (>= 9), autotools-dev, cdbs (>= 0.4.93~), dh-autoreconf, libmpfr-dev, flex, bison, qtbase5-dev, libboost-dev
+Build-Depends: debhelper, debhelper-compat (= 13), libmpfr-dev, flex, bison, qtbase5-dev, libboost-dev
 Build-Depends-Indep: graphviz, doxygen
 Build-Conflicts: libqt4-dev
-Standards-Version: 4.1.3
+Standards-Version: 4.7.0
 Section: libs
-Homepage: http://www.gecode.org/
+Homepage: https://www.gecode.org/
+Vcs-Browser: https://salsa.debian.org/kaol/gecode
+Vcs-Git: https://salsa.debian.org/kaol/gecode.git
 
 Package: libgecode-dev
 Section: libdevel
 Architecture: any
-Depends: libgecode48 (= ${binary:Version}), libgecodegist48 (= ${binary:Version}), libgecodeflatzinc48 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}, qtbase5-dev, libmpfr-dev, libboost-dev
+Depends: libgecode49t64 (= ${binary:Version}), libgecodegist49t64 (= ${binary:Version}), libgecodeflatzinc49t64 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}, qtbase5-dev, libmpfr-dev, libboost-dev
 Suggests: libgecode-doc
 Description: generic constraint development environment
  Gecode is a toolkit for developing constraint-based systems and
@@ -44,7 +46,10 @@
  .
  This package has the API documentation and examples.
 
-Package: libgecode48
+Package: libgecode49t64
+Provides: ${t64:Provides}
+Replaces: libgecode49
+Breaks: libgecode49 (<< ${source:Version})
 Section: libs
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
@@ -62,7 +67,10 @@
  level of efficiency as finite domain and integer set variables that
  come predefined with Gecode.
 
-Package: libgecodegist48
+Package: libgecodegist49t64
+Provides: ${t64:Provides}
+Replaces: libgecodegist49
+Breaks: libgecodegist49 (<< ${source:Version})
 Section: libs
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
@@ -78,7 +86,10 @@
  programs.  They have been separated from the main Gecode library
  package to avoid pulling in Qt as a dependency.
 
-Package: libgecodeflatzinc48
+Package: libgecodeflatzinc49t64
+Provides: ${t64:Provides}
+Replaces: libgecodeflatzinc49
+Breaks: libgecodeflatzinc49 (<< ${source:Version})
 Section: libs
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
@@ -93,29 +104,20 @@
  FlatZinc is a low-level modelling language for constraint
  problems. It is designed to be easily interfaceable to constraint
  solvers (like Gecode). For more information on FlatZinc, please refer
- to the MiniZinc pages of the G12 project
- <http://www.g12.cs.mu.oz.au/minizinc/>.
+ to the MiniZinc pages of the G12 project <https://minizinc.org/>.
 
-Package: flatzinc
-Section: devel
-Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
-Recommends: minizinc
-Replaces: libgecode-dev (<< 3.7.0)
-Homepage: http://www.gecode.org/flatzinc.html
-Description: constraint problem modelling language
- FlatZinc is a low-level modelling language for constraint
- problems. It is designed to be easily interfaceable to constraint
- solvers (like Gecode). For more information on FlatZinc, please refer
- to the MiniZinc pages of the G12 project
- <http://www.g12.cs.mu.oz.au/minizinc/>.
- .
- We provide a parser that reads a FlatZinc model from a file, and
- returns a Gecode Space object that represents the model. We also
- provide a simple front-end, an executable program that reads a
- FlatZinc model and prints the solution (if any) on the standard
- output.
- .
- The FlatZinc interpreter that ships with Gecode version 4.4.0
- supports the FlatZinc language and MiniZinc global constraint
- definitions of MiniZinc version 1.6.0.
+#Package: flatzinc
+#Section: devel
+#Architecture: any
+#Depends: ${shlibs:Depends}, ${misc:Depends}
+#Recommends: minizinc
+#Homepage: http://www.gecode.org/flatzinc.html
+#Description: constraint problem modelling language
+# FlatZinc is a low-level modelling language for constraint
+# problems. It is designed to be easily interfaceable to constraint
+# solvers (like Gecode). For more information on FlatZinc, please refer
+# to the MiniZinc pages of the G12 project <https://www.minizinc.org/>.
+# .
+# The FlatZinc interpreter that ships with Gecode supports the FlatZinc
+# language and MiniZinc global constraint definitions of MiniZinc
+# version 1.6.0.
