=== debian/rules ===
#!/usr/bin/make -f

DEB_MAKE_CHECK_TARGET=check LD_LIBRARY_PATH=.
DEB_DH_BUILDDEB_ARGS=-- -Zxz
DEB_MAKE_ENVVARS=QT_SELECT=5

ifeq (,$(findstring noopt,$(DEB_BUILD_OPTIONS))$(filter ia64 mipsel,$(DEB_HOST_ARCH)))
	CFLAGS += -O3
	CXXFLAGS += -O3
endif

CFLAGS += -D_REENTRANT $(CPPFLAGS)
CXXFLAGS += -D_REENTRANT $(CPPFLAGS)
DEB_CONFIGURE_EXTRA_FLAGS += DLLFLAGS="$(LDFLAGS)" GLDFLAGS="$(LDFLAGS)"

%: configure.ac
	dh $@ --with=autoreconf

override_dh_auto_configure:
	dh_auto_configure -- --enable-gist --enable-qt --enable-float-vars --enable-cppprofiler --enable-cbs --disable-examples --libdir=\$${prefix}/lib/$(DEB_HOST_MULTIARCH) QT_SELECT=5 --with-host-os=linux

override_dh_auto_build-indep: changelog
	$(MAKE) doc

changelog:
	$(MAKE) ChangeLog
	iconv -f ISO-8859-1 -t UTF-8 ChangeLog > changelog
	rm ChangeLog

configure.ac:
	ln -s configure.ac.in configure.ac

override_dh_install-indep:
	dh_install
	find $(CURDIR)/debian/libgecode-doc/usr/share/doc/libgecode-dev/examples/ -type f -exec chmod 0644 '{}' ';'
	install -m 0644 -D debian/Makefile.examples $(CURDIR)/debian/libgecode-doc/usr/share/doc/libgecode-dev/examples/Makefile

override_dh_installdocs-indep:
	dh_installdocs
	rm -f $(CURDIR)/debian/libgecode-doc/usr/share/doc/libgecode-dev/html/jquery.js

override_dh_install-arch:
	dh_install
	find $(CURDIR)/debian/libgecode-dev/usr/include -type f -exec chmod -x {} \;
	rm -f $(CURDIR)/debian/libgecode-dev/usr/include/gecode/third-party/boost/LICENSE_1_0.txt
